/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.action;

import java.util.ArrayList;
import java.util.Locale;

import org.eclipse.swt.SWT;

import com.clustercontrol.bean.TableColumnInfo;
import com.clustercontrol.collectiverun.bean.DetailTableDefine;
import com.clustercontrol.util.Messages;

/**
 * 一括制御[詳細]テーブル定義を取得するクライアント側アクションクラス<BR>
 * 
 * @version 1.0.0
 * @since 1.0.0
 */
public class GetDetailTabelDefine {

    /**
     * 詳細テーブル定義を返します。
     * 
     * @return 詳細テーブル定義
     */
    public static ArrayList<TableColumnInfo> get() {
        //テーブル定義配列
        ArrayList<TableColumnInfo> tableDefine = new ArrayList<TableColumnInfo>();
        Locale locale = Locale.getDefault();
        
        tableDefine.add(DetailTableDefine.STATUS, 
                new TableColumnInfo(Messages.getString("run.status", locale), TableColumnInfo.CRUN_STATUS, 80, SWT.LEFT));
        tableDefine.add(DetailTableDefine.END_STATUS, 
                new TableColumnInfo(Messages.getString("end.status", locale), TableColumnInfo.END_STATUS, 70, SWT.LEFT));
        tableDefine.add(DetailTableDefine.RETURN_VALUE, 
                new TableColumnInfo(Messages.getString("return.value", locale), TableColumnInfo.NONE, 50, SWT.LEFT));
        tableDefine.add(DetailTableDefine.FACILITY_ID, 
                new TableColumnInfo(Messages.getString("facility.id", locale), TableColumnInfo.NONE, 100, SWT.LEFT));
        tableDefine.add(DetailTableDefine.FACILITY_NAME, 
                new TableColumnInfo(Messages.getString("facility.name", locale), TableColumnInfo.NONE, 100, SWT.LEFT));
        tableDefine.add(DetailTableDefine.START_TIME, 
                new TableColumnInfo(Messages.getString("start.time", locale), TableColumnInfo.NONE, 150, SWT.LEFT));
        tableDefine.add(DetailTableDefine.END_TIME, 
                new TableColumnInfo(Messages.getString("end.time", locale), TableColumnInfo.NONE, 150, SWT.LEFT));
        tableDefine.add(DetailTableDefine.MESSAGE, 
                new TableColumnInfo(Messages.getString("message", locale), TableColumnInfo.TEXT_DIALOG, 300, SWT.LEFT));
        
        return tableDefine;
    }
}