/*
 
 Copyright (C) 2006 NTT DATA Corporation
 
 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation, version 2.
 
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 */
package com.clustercontrol.snmptrap.bean;

import java.io.Serializable;

/**
 * OID情報のDTOクラス<BR>
 * 
 * 監視側（設定側でない）で利用するDTOクラス
 *
 * @version 2.1.0
 * @since 2.1.0
 */
public class SnmpTrapOidInfo implements Serializable{
	
	private static final long serialVersionUID = -3531433559439886769L;
	
	String m_trapOid;
	int m_genericId;
	int m_specificId;
	
	public SnmpTrapOidInfo(){
	}
	
	public SnmpTrapOidInfo(String trapOid, int genericId, int specificId) {
		this.m_trapOid = trapOid;
		this.m_genericId = genericId;
		this.m_specificId = specificId;
	}
	/**
	 * GenericIdを取得します。<BR>
	 * @return GenericId
	 */
	public int getGenericId() {
		return m_genericId;
	}
	/**
	 * GenericIdを設定します。<BR>
	 * @param genericId
	 */
	public void setGenericId(int genericId) {
		this.m_genericId = genericId;
	}
	/**
	 * SpecificIdを取得します。<BR>
	 * @return SpecificId
	 */
	public int getSpecificId() {
		return m_specificId;
	}
	/**
	 * SpecificIdを設定します。<BR>
	 * @param specificId
	 */
	public void setSpecificId(int specificId) {
		this.m_specificId = specificId;
	}
	/**
	 * トラップOIDを取得します。<BR>
	 * @return OID
	 */
	public String getTrapOid() {
		return m_trapOid;
	}
	/**
	 * トラップOIDを設定します。<BR>
	 * @param trapOid
	 */
	public void setTrapOid(String trapOid) {
		this.m_trapOid = trapOid;
	}
}
