/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.util;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * queue/topic送信でダミーパケット流通のためのダミークラス
 * @author Hinemos
 *
 */
public class Dummy implements Serializable {
	
	/**
	 * シリアルID
	 */
	private static final long serialVersionUID = 1271039672851023042L;
	
	/** ダミーパケット流通先エージェントのファシリティIDのlist(1サーバを複数ノードとして登録があるため) */
	private ArrayList<String> facilityIdList = null;

	public static String dummyID = "dummy";

	public Dummy(ArrayList<String> facilityIdList) {
		super();
		this.facilityIdList = facilityIdList;
	}

	public ArrayList<String> getFacilityIdList() {
		return facilityIdList;
	}

	public void setFacilityIdList(ArrayList<String> facilityIdList) {
		this.facilityIdList = facilityIdList;
	}
}
