/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.accesscontrol.ejb.session;

/**
 * Remote interface for AccessController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface AccessController
   extends javax.ejb.EJBObject
{
   /**
    * 自身のユーザ情報を取得する。<BR> ユーザ情報には、以下の形式で値が格納されている。<BR> <PRE> { {ユーザID1, ユーザ名1, 説明1, 作成者（ユーザID）1, 作成日時1, 最終更新者（ユーザID）1, 最終更新日時1} ... } </PRE>
    * @return ユーザ一覧情報(自身の情報のみ)
    * @throws FinderException
    * @throws NamingException    */
   public java.util.ArrayList getOwnData( java.lang.String userId )
      throws java.rmi.AccessException, java.rmi.RemoteException;

   /**
    * ユーザ一覧情報を取得する。<BR> ユーザ一覧情報には、以下の形式で値が格納されている。<BR> <PRE> { {ユーザID1, ユーザ名1, 説明1, 作成者（ユーザID）1, 作成日時1, 最終更新者（ユーザID）1, 最終更新日時1}, {ユーザID2, ユーザ名2, 説明2, 作成者（ユーザID）2, 作成日時2, 最終更新者（ユーザID）2, 最終更新日時2}, ... } </PRE>
    * @return ユーザ一覧情報
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserSelector#getUserList()    */
   public java.util.ArrayList getUserList(  )
      throws javax.ejb.FinderException, javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * ユーザフィルタダイアログの入力値に基づき、ユーザ一覧情報を取得する。<BR> ユーザ一覧情報には、以下の形式で値が格納されている。<BR> <PRE> { {ユーザID1, ユーザ名1, 説明1, 作成者（ユーザID）1, 作成日時1, 最終更新者（ユーザID）1, 最終更新日時1}, {ユーザID2, ユーザ名2, 説明2, 作成者（ユーザID）2, 作成日時2, 最終更新者（ユーザID）2, 最終更新日時2}, ... } </PRE>
    * @param property ユーザフィルタダイアログの入力値
    * @return ユーザ一覧情報
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserSelector#getUserList(Property)    */
   public java.util.ArrayList getUserList( com.clustercontrol.bean.Property property )
      throws javax.ejb.FinderException, javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * ユーザフィルタダイアログの入力カラム定義情報を取得する。<BR>
    * @param locale ロケール情報
    * @return ユーザフィルタダイアログの入力カラム定義情報
    * @see com.clustercontrol.accesscontrol.factory.UserFilterProperty#getProperty(Locale)    */
   public com.clustercontrol.bean.Property getUserFilterProperty( java.util.Locale locale )
      throws java.rmi.RemoteException;

   /**
    * ユーザ情報を取得する。<BR>
    * @param userId ユーザID
    * @param mode 取得モード
    * @param locale ロケール情報
    * @return ユーザ情報
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.bean.PropertyConstant
    * @see com.clustercontrol.accesscontrol.factory.UserProperty#getProperty(String, int, Locale)    */
   public com.clustercontrol.bean.Property getUserProperty( java.lang.String userId,int mode,java.util.Locale locale )
      throws javax.ejb.FinderException, javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * ユーザを追加する。<BR>
    * @param property ユーザ情報
    * @throws NamingException
    * @throws CreateException
    * @throws FinderException
    * @throws ParseException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#addUser(Property, String, String)    */
   public void addUser( com.clustercontrol.bean.Property property )
      throws javax.naming.NamingException, javax.ejb.CreateException, javax.ejb.FinderException, java.text.ParseException, java.rmi.RemoteException;

   /**
    * ユーザを変更する。<BR>
    * @param property ユーザ情報
    * @throws NamingException
    * @throws FinderException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#modifyUser(Property, String)    */
   public void modifyUser( com.clustercontrol.bean.Property property )
      throws javax.naming.NamingException, javax.ejb.FinderException, java.rmi.RemoteException;

   /**
    * ユーザを削除する。<BR>
    * @param userId ユーザID
    * @throws NamingException
    * @throws FinderException
    * @throws RemoveException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#deleteUser(String, String)    */
   public void deleteUser( java.lang.String userId )
      throws javax.naming.NamingException, javax.ejb.RemoveException, javax.ejb.FinderException, java.rmi.RemoteException;

   /**
    * 自分自身のパスワードを変更する。<BR>
    * @param userId ユーザID
    * @param password パスワード
    * @throws NamingException
    * @throws FinderException
    * @throws RemoveException    */
   public void changeOwnPassword( java.lang.String userId,java.lang.String password )
      throws java.rmi.AccessException, java.rmi.RemoteException;

   /**
    * パスワードを変更する。<BR>
    * @param userId ユーザID
    * @param password パスワード
    * @throws NamingException
    * @throws FinderException
    * @throws RemoveException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#modifyUserPassword(String, String)    */
   public void changePassword( java.lang.String userId,java.lang.String password )
      throws javax.naming.NamingException, javax.ejb.RemoveException, javax.ejb.FinderException, java.rmi.RemoteException;

   /**
    * ログインしているユーザが指定したユーザ権限を持っているかどうかを確認する。<BR>
    * @param userRole ユーザ権限名
    * @return ユーザ権限を保持していればtrue, そうでなければfalse    */
   public boolean isPermission( java.lang.String userRole )
      throws javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * ログインユーザのユーザ名を取得する。<BR>
    * @return ユーザ名
    * @throws NamingException
    * @throws FinderException
    * @see com.clustercontrol.accesscontrol.factory.LoginUserSelector#getUserName(String)    */
   public java.lang.String getUserName(  )
      throws javax.ejb.FinderException, javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * バージョン番号を取得する。<BR>
    * @return バージョン番号    */
   public java.lang.String getVersion(  )
      throws java.rmi.RemoteException;

   /**
    * 引数で指定されたユーザがジョブユニットの管理ユーザに設定されているか確認する<BR>
    * @param userId
    * @return 引数で指定されたユーザが管理ユーザに設定されているジョブユニットIDのリスト
    * @see com.clustercontrol.bean.TableColumnInfo    */
   public java.util.ArrayList checkJobManagementUser( java.lang.String userId )
      throws javax.ejb.FinderException, javax.naming.NamingException, java.rmi.RemoteException;

   /**
    * ユーザの権限リストを返す<BR>
    * @return ユーザの権限リスト    */
   public com.clustercontrol.accesscontrol.bean.UserRoleList getUserRoleList(  )
      throws java.rmi.RemoteException;

}
