/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.jobmanagement.ejb.session;

/**
 * Remote interface for JobController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface JobController
   extends javax.ejb.EJBObject
{
   /**
    * セパレータ文字列を取得する。<BR>
    * @return セパレータ文字列    */
   public java.lang.String getSeparator(  )
      throws java.rmi.RemoteException;

   /**
    * ジョブツリー情報を取得する。<BR>
    * @param treeOnly true=ジョブ情報を含まない, false=ジョブ情報含む
    * @param locale ロケール情報
    * @return ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @throws JobMasterNotFoundException
    * @throws UserNotFoundException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getJobTree(boolean, Locale)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getJobTree( boolean treeOnly,java.util.Locale locale )
      throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.UserNotFoundException, java.rmi.RemoteException;

   /**
    * 同一階層のジョブツリー情報を取得する。<BR>
    * @param parentJobunitId 親ジョブのジョブユニットID
    * @param parentJobId 親ジョブID
    * @param locale ロケール情報
    * @return ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws JobMasterNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getJobTreeOneLevel(String, Locale)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getJobTreeOneLevel( java.lang.String parentJobunitId,java.lang.String parentJobId,java.util.Locale locale )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * ジョブツリー情報を登録する。<BR>
    * @param item ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws HinemosUnknownException
    * @throws JobMasterNotFoundException
    * @throws JobInvalidException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.jobmanagement.factory.ModifyJob#registerJob(JobTreeItem, String)    */
   public void registerJob( com.clustercontrol.jobmanagement.bean.JobTreeItem item )
      throws com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.JobInvalidException, java.rmi.RemoteException;

   /**
    * ジョブユニット単位でジョブツリー情報を登録する。<BR>
    * @param item ジョブユニットのジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.jobmanagement.factory.ModifyJob#registerJobunit(JobTreeItem, String)    */
   public void registerJobunit( com.clustercontrol.jobmanagement.bean.JobTreeItem jobunit )
      throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブユニット単位でジョブツリー情報を削除する。<BR>
    * @param jobunitId 削除対象ジョブユニットのジョブID
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @throws JobMasterNotFoundException    */
   public void deleteJobunit( java.lang.String jobunitId )
      throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブ操作開始用プロパティを返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param facilityId ファシリティID
    * @param locale ロケール情報
    * @return ジョブ操作開始用プロパティ
    * @see com.clustercontrol.jobmanagement.factory.JobOperationProperty#getStartProperty(String, String, String, String, Locale)    */
   public java.util.ArrayList getAvailableStartOperation( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.lang.String facilityId,java.util.Locale locale )
      throws java.rmi.RemoteException;

   /**
    * ジョブ操作停止用プロパティを返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param facilityId ファシリティID
    * @param locale ロケール情報
    * @return ジョブ操作停止用プロパティ
    * @see com.clustercontrol.jobmanagement.factory.JobOperationProperty#getStopProperty(String, String, String, String, Locale)    */
   public java.util.ArrayList getAvailableStopOperation( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.lang.String facilityId,java.util.Locale locale )
      throws java.rmi.RemoteException;

   /**
    * ジョブを実行します。<BR>
    * @param jobunitId
    * @param jobId ジョブID
    * @param triggerInfo 実行契機情報
    * @throws FacilityNotFoundException
    * @throws HinemosUnknownException
    * @throws JobInfoNotFoundException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#createJobInfo(String, String, NotifyRequestMessage, JobTriggerInfo)
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#runJob(String, String)    */
   public void runJob( java.lang.String jobunitId,java.lang.String jobId,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo )
      throws com.clustercontrol.FacilityNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.JobInfoNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブを実行します。<BR>
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param info ログ出力情報
    * @param triggerInfo 実行契機情報
    * @throws HinemosUnknownException
    * @throws JobInfoNotFoundException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#createJobInfo(String, String, NotifyRequestMessage, JobTriggerInfo}
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#runJob(String, String)    */
   public void runJob( java.lang.String jobunitId,java.lang.String jobId,com.clustercontrol.bean.OutputBasicInfo info,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo )
      throws com.clustercontrol.FacilityNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.JobMasterNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブをスケジュール実行します。<BR> Quartzからスケジュール実行時に呼び出されます。<BR>
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param calendarId カレンダID
    * @param triggerInfo 実行契機情報
    * @throws FacilityNotFoundException
    * @throws HinemosUnknownException
    * @throws JobInfoNotFoundException
    * @throws JobMasterNotFoundException
    * @throws CalendarNotFountException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.calendar.ejb.session.CalendarControllerBean#isRun(String, Date)}
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#runJob(String, String, JobTriggerInfo)    */
   public void scheduleRunJob( java.lang.String jobunitId,java.lang.String jobId,java.lang.String calendarId,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo )
      throws com.clustercontrol.FacilityNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.CalendarNotFountException, com.clustercontrol.JobMasterNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブ操作を行います。<BR>
    * @param property ジョブ操作用プロパティ
    * @throws HinemosUnknownException
    * @throws JobInfoNotFoundException
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#operationJob(Property)    */
   public void operationJob( com.clustercontrol.jobmanagement.bean.NodeOperationInfo property )
      throws com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobInfoNotFoundException, java.rmi.RemoteException;

   /**
    * ジョブ履歴一覧情報を返します。<BR>
    * @param histories 表示履歴数
    * @return ジョブ履歴一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getHistoryList(int)    */
   public com.clustercontrol.jobmanagement.bean.JobHistoryList getHistoryList( int histories )
      throws com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * ジョブ履歴一覧情報を返します。<BR>
    * @param property 履歴フィルタ用プロパティ
    * @param histories 表示履歴数
    * @return ジョブ履歴一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getHistoryList(Property, int)    */
   public com.clustercontrol.jobmanagement.bean.JobHistoryList getHistoryList( com.clustercontrol.jobmanagement.bean.JobHistoryFilter property,int histories )
      throws com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * ジョブ詳細一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @return ジョブ詳細一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFoundException
    * @throws HinemosUnknownException
    * @throws JobMasterNotFoundException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getDetailList(String)    */
   public com.clustercontrol.bean.CommonTableTreeItem getDetailList( java.lang.String sessionId )
      throws com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.JobMasterNotFoundException, java.rmi.RemoteException;

   /**
    * ノード詳細一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param locale ロケール情報
    * @return ノード詳細一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getNodeDetailList(String, String, String, Locale)    */
   public java.util.ArrayList getNodeDetailList( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.util.Locale locale )
      throws com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * ファイル転送一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @return ファイル転送一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getForwardFileList(String, String)    */
   public java.util.ArrayList getForwardFileList( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId )
      throws com.clustercontrol.JobInfoNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * スケジュール情報を登録します。<BR>
    * @param info スケジュール情報
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#addSchedule(JobSchedule, String)    */
   public void addSchedule( com.clustercontrol.jobmanagement.bean.JobSchedule info )
      throws com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * スケジュール情報を変更します。<BR>
    * @param info スケジュール情報
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#modifySchedule(JobSchedule, String)    */
   public void modifySchedule( com.clustercontrol.jobmanagement.bean.JobSchedule info )
      throws com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * スケジュール情報を削除します。<BR>
    * @param scheduleId スケジュールID
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#deleteSchedule(String)    */
   public void deleteSchedule( java.lang.String scheduleId )
      throws com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * スケジュール一覧情報を返します。<BR>
    * @return スケジュール一覧情報（Objectの2次元配列）
    * @throws JobMasterNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectSchedule#getScheduleList()    */
   public java.util.ArrayList getScheduleList(  )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * 実行予定一覧情報を返します。<BR>
    * @return 実行予定一覧情報（Objectの2次元配列）
    * @throws JobMasterNotFoundExceptionException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectRunSchedule#getList()    */
   public java.util.ArrayList getRunScheduleList(  )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * 実行予定情報を返します。<BR>
    * @param base 基準日
    * @return 実行予定情報（Objectの2次元配列）
    * @throws JobMasterNotFoundException
    * @throws HinemosUnknownException
    * @throws CalendarNotFountException
    * @see com.clustercontrol.jobmanagement.factory.SelectRunSchedule#getSchedule(Date)    */
   public java.util.ArrayList getRunSchedule( java.util.Date base )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.CalendarNotFountException, java.rmi.RemoteException;

   /**
    * 実行予定詳細一覧情報を返します。<BR>
    * @param scheduleId スケジュールID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @return 実行予定詳細一覧情報（Objectの2次元配列）
    * @throws JobMasterNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.jobmanagement.factory.SelectRunSchedule#getDetailList(String, String)    */
   public com.clustercontrol.bean.CommonTableTreeItem getRunScheduleDetailList( java.lang.String scheduleId,java.lang.String jobunitId )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * 実行予定詳細情報を返します。<BR>
    * @param scheduleId スケジュールID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param base 基準日
    * @return 実行予定詳細情報（Objectの2次元配列）
    * @throws JobMasterNotFoundException
    * @throws HinemosUnknownException
    * @throws CalendarNotFountException
    * @see com.clustercontrol.jobmanagement.factory.SelectRunSchedule#getDetailSchedule(String, Date)    */
   public com.clustercontrol.bean.CommonTableTreeItem getRunScheduleDetail( java.lang.String scheduleId,java.lang.String jobunitId,java.util.Date base )
      throws com.clustercontrol.JobMasterNotFoundException, com.clustercontrol.HinemosUnknownException, com.clustercontrol.CalendarNotFountException, java.rmi.RemoteException;

   /**
    * カレンダIDリストを返します。<BR>
    * @return カレンダIDのリスト
    * @throws HinemosUnknownException
    * @throws CalendarNotFountException
    * @throws 
    * @see com.clustercontrol.calendar.ejb.session.CalendarControllerBean#getCalendarIdList()    */
   public java.util.ArrayList getCalendarIdList(  )
      throws com.clustercontrol.HinemosUnknownException, com.clustercontrol.CalendarNotFountException, java.rmi.RemoteException;

   /**
    * セッションジョブ情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @return ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}
    * @throws HinemosUnknownException
    * @throws NotifyNotFoundException
    * @throws JobInfoNotFoundException
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getSessionJobInfo(String, String, String)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getSessionJobInfo( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId )
      throws com.clustercontrol.HinemosUnknownException, com.clustercontrol.NotifyNotFoundException, com.clustercontrol.JobInfoNotFoundException, java.rmi.RemoteException;

   /**
    * ファシリティIDが使用されているかチェックします。<BR> <P> 使用されていたら、UsedFacilityException がスローされる。<BR>
    * @param facilityId ファシリティ
    * @throws UsedFacilityException
    * @see com.clustercontrol.commons.ejb.session.CheckFacility#isUseFacilityId(java.lang.String)
    * @see com.clustercontrol.bean.PluginConstant;    */
   public void isUseFacilityId( java.lang.String facilityId )
      throws com.clustercontrol.UsedFacilityException, java.rmi.RemoteException;

}
