/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.monitor.ejb.session;

/**
 * Local interface for MonitorController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface MonitorControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * Quartzへステータスの定周期管理を登録します。<BR><BR> このメソッドは監視管理のステータスが有効期限切れになっているかを 定期的にチェックするトリガーをQurtzに設定します。<BR> このメソッドをQurtzSetup以外から呼び出さないでください。
    * @param cronString Quartzへ登録するスケジュール文字列 （例：5分周期 "0 *<code>/</code>5 * * * ? *"）
    * @throws NamingException
    * @throws ParseException
    * @throws SchedulerException
    * @see com.clustercontrol.quartzmanager.ejb.session.QuartzManager#addSchedule(org.quartz.JobDetail, org.quartz.Trigger)
    * @see #manageStatus()
    * @since 2.0.0    */
   public void addQuartz( java.lang.String cronString ) throws javax.naming.NamingException, java.text.ParseException, org.quartz.SchedulerException;

   /**
    * Quartzからステータスの定周期管理の登録を削除します。<BR><BR> このメソッドは監視管理のステータスが有効期限切れになっているかを 定期的にチェックするトリガーをQurtzから削除します。<BR> このメソッドをQurtzSetup以外から呼び出さないでください。
    * @throws NamingException
    * @throws ParseException
    * @throws SchedulerException
    * @see com.clustercontrol.quartzmanager.ejb.session.QuartzManager#deleteSchedule(java.lang.String, java.lang.String)
    * @see #manageStatus()
    * @since 2.0.0    */
   public void deleteQuartz(  ) throws javax.naming.NamingException, java.text.ParseException, org.quartz.SchedulerException;

   /**
    * ステータス情報フィルタ用プロパティを取得します。<BR><BR> クライアントでステータスのフィルタ条件を設定するために、 空のpropertyインスタンスをマネージャから取得します。<BR> (propertyには属性に文字列が入るので、マネージャでlocaleにしたがって 空のインスタンスを生成します。)
    * @param locale クライアントのロケール
    * @return ステータス情報フィルタ用プロパティ
    * @see com.clustercontrol.monitor.factory.StatusFilterProperty#getProperty(Locale)    */
   public com.clustercontrol.bean.Property getStatusFilterProperty( java.util.Locale locale ) ;

   /**
    * イベント情報フィルタ用プロパティを取得します。<BR><BR> クライアントでイベントのフィルタ条件を設定するために、 空のpropertyインスタンスをマネージャから取得します。<BR> (propertyには属性に文字列が入るので、マネージャでlocaleにしたがって 空のインスタンスを生成します。)
    * @param locale ロケール情報
    * @return イベント情報フィルタ用プロパティ
    * @see com.clustercontrol.monitor.factory.EventFilterProperty#getProperty(Locale)    */
   public com.clustercontrol.bean.Property getEventFilterProperty( java.util.Locale locale ) ;

   /**
    * イベント情報一括確認用プロパティを取得します。<BR><BR> クライアントでイベントの一括確認用プロパティを設定するために、 空のpropertyインスタンスをマネージャから取得します。<BR> (propertyには属性に文字列が入るので、マネージャでlocaleにしたがって 空のインスタンスを生成します。)
    * @param locale ロケール情報
    * @return イベント情報一括確認用プロパティ
    * @see com.clustercontrol.monitor.factory.EventBatchConfirmProperty#getProperty(Locale)    */
   public com.clustercontrol.bean.Property getEventBatchConfirmProperty( java.util.Locale locale ) ;

   /**
    * スコープ情報一覧を取得します。<BR><BR> 引数で指定されたファシリティの配下全てのファシリティのスコープ情報一覧を返します。<BR> 各スコープ情報は、ScopeInfoDataのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @return スコープ情報一覧（ScopeInfoDataが格納されたArrayList）
    * @throws CreateException
    * @throws NamingException
    * @see com.clustercontrol.monitor.bean.ScopeInfoData
    * @see com.clustercontrol.monitor.factory.SelectScope#getScopeList(String)    */
   public java.util.ArrayList getScopeList( java.lang.String facilityId ) throws javax.ejb.CreateException, javax.naming.NamingException, com.clustercontrol.FacilityNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * スコープ情報一覧を取得します。<BR><BR> 引数で指定されたファシリティの配下全てのファシリティのスコープ情報一覧を返します。<BR> 各スコープ情報は、ScopeInfoDataのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @return スコープ情報一覧（ScopeInfoDataが格納されたArrayList）
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.monitor.bean.ScopeInfoData
    * @see com.clustercontrol.monitor.factory.SelectScope#getScopeList(String)    */
   public java.util.ArrayList getScopeList( java.lang.String facilityId,boolean statusFlag,boolean eventFlag,boolean orderFlg ) throws javax.ejb.CreateException, javax.naming.NamingException, com.clustercontrol.FacilityNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * ステータス情報一覧を取得します。<BR> 引数で指定されたファシリティの配下全てのファシリティのステータス情報一覧を返します。<BR> 各ステータス情報は、StatusInfoDataのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @return ステータス情報一覧（StatusInfoDataが格納されたArrayList）
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.monitor.bean.StatusInfoData
    * @see com.clustercontrol.monitor.factory.SelectStatus#getStatusList(String, int)    */
   public java.util.ArrayList getStatusList( java.lang.String facilityId ) throws javax.ejb.CreateException, com.clustercontrol.FacilityNotFoundException, javax.naming.NamingException;

   /**
    * 引数で指定されたステータス情報を削除します。<BR> 引数のlistは、StatusInfoDataが格納されたListとして渡されます。<BR>
    * @param list 削除対象のステータス情報一覧（StatusInfoDataが格納されたList）
    * @return 削除に成功した場合、</code> true </code>
    * @throws FinderException
    * @throws RemoveException
    * @throws NamingException
    * @since 2.0.0
    * @see com.clustercontrol.monitor.bean.StatusInfoData
    * @see com.clustercontrol.monitor.factory.DeleteStatus#delete(List)    */
   public boolean deleteStatus( java.util.List list ) throws javax.ejb.FinderException, javax.ejb.RemoveException, javax.naming.NamingException;

   /**
    * 引数で指定された条件に一致するステータス情報一覧を取得します。<BR> 各ステータス情報は、StatusInfoDataのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @param property 検索条件
    * @return ステータス情報一覧（StatusInfoDataが格納されたArrayList）
    * @throws CreateException
    * @throws NamingException
    * @throws FacilityNotFoundException
    * @see com.clustercontrol.monitor.bean.StatusInfoData
    * @see com.clustercontrol.monitor.factory.SelectStatus#getStatusList(String, Property)    */
   public java.util.ArrayList getStatusList( java.lang.String facilityId,com.clustercontrol.bean.Property property ) throws javax.ejb.CreateException, javax.naming.NamingException, com.clustercontrol.FacilityNotFoundException;

   /**
    * 存続期間を経過したステータス情報を削除 または 更新します。<BR><BR> Quartzから呼び出されるコールバックメソッド<BR> Quartz以外から呼び出さないでください。
    * @throws RemoveException
    * @throws FinderException
    * @throws NamingException
    * @since 2.0.0
    * @see com.clustercontrol.monitor.factory.ManageStatus#execute()
    * @see #addQuartz(String)
    * @see #deleteQuartz()    */
   public void manageStatus(  ) throws javax.ejb.RemoveException, javax.ejb.FinderException, javax.naming.NamingException;

   /**
    * イベント一覧情報を取得します。(クライアントview用) <BR><BR> 引数で指定されたファシリティの配下全てのファシリティのイベント情報を取得します。<BR> 各イベント情報は、EventLogDataインスタンスとして保持されます。<BR> 戻り値のViewListInfoは、クライアントにて表示用の形式に変換されます。
    * @param facilityId 取得対象の親ファシリティID
    * @param messages 表示イベント数
    * @return ビュー一覧情報
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @throws SQLException
    * @see com.clustercontrol.monitor.ejb.entity.EventLogData
    * @see com.clustercontrol.monitor.factory.SelectEvent#getEventList(String, int, int)    */
   public com.clustercontrol.bean.ViewListInfo getEventList( java.lang.String facilityId,int messages ) throws javax.ejb.CreateException, javax.ejb.FinderException, javax.naming.NamingException, java.sql.SQLException;

   /**
    * 引数で指定された条件に一致するイベント一覧情報を取得します。(クライアントview用)<BR><BR> 引数のpropertyには、com.clustercontrol.monitor.factory.StatusFilterPropertyの属性が１つ以上含まれます。<BR> 各イベント情報は、EventLogDataインスタンスとして保持されます。<BR> 戻り値のViewListInfoは、クライアントにて表示用の形式に変換されます。
    * @param facilityId 取得対象の親ファシリティID
    * @param property 検索条件
    * @param messages 表示イベント数
    * @return ビュー一覧情報
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @throws SQLException
    * @see com.clustercontrol.monitor.ejb.entity.EventLogData
    * @see com.clustercontrol.monitor.factory.SelectEvent#getEventList(String, Property, int)    */
   public com.clustercontrol.bean.ViewListInfo getEventList( java.lang.String facilityId,com.clustercontrol.bean.Property property,int messages ) throws javax.ejb.CreateException, javax.ejb.FinderException, javax.naming.NamingException, java.sql.SQLException;

   /**
    * 引数で指定された条件に一致する帳票出力用イベント情報一覧を返します。<BR><BR> 引数のpropertyには、com.clustercontrol.monitor.factory.StatusFilterPropertyの属性が １つ以上含まれます。<BR> 戻り値のArrayListはArrayListのArrayListであり、内部のArrayListには、 com.clustercontrol.monitor.bean.ReportEventInfoがリストとして格納されます。
    * @param facilityId 取得対象の親ファシリティID
    * @param property 検索条件
    * @return 帳票出力用イベント情報一覧（{@link com.clustercontrol.monitor.bean.ReportEventInfo}のリスト）
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @throws IndexOutOfBoundsException
    * @since 2.1.0
    * @see com.clustercontrol.monitor.factory.SelectEvent#getEventListForReport(String, Property)    */
   public java.util.ArrayList getEventListForReport( java.lang.String facilityId,com.clustercontrol.bean.Property property ) throws javax.ejb.CreateException, javax.ejb.FinderException, javax.naming.NamingException, java.lang.IndexOutOfBoundsException;

   /**
    * イベント詳細表示用プロパティを返します。<BR><BR> <p>戻り値のプロパティの項目は、下記の通りです。 <p> <ul> <li>プロパティ（親。ダミー）</li> <ul> <li>重要度（子。テキスト）</li> <li>受信日時（子。テキスト）</li> <li>出力日時（子。テキスト）</li> <li>プラグインID（子。テキスト）</li> <li>監視項目ID（子。テキスト）</li> <li>ファシリティID（子。テキスト）</li> <li>スコープ（子。テキスト）</li> <li>アプリケーション（子。テキスト）</li> <li>メッセージID（子。テキスト）</li> <li>メッセージ（子。テキスト）</li> <li>オリジナルメッセージ（子。テキストエリア）</li> <li>確認（子。テキスト）</li> <li>確認済み日時（子。テキスト）</li> <li>確認ユーザ（子。テキスト）</li> <li>重複カウンタ（子。テキスト）</li> </ul> </ul>
    * @param monitorId 取得対象の監視項目ID
    * @param pluginId 取得対象のプラグインID
    * @param facilityId 取得対象のファシリティID
    * @param outputDate 取得対象の受信日時
    * @param locale ロケール情報
    * @return イベント詳細情報表示用プロパティ
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.monitor.factory.EventInfoProperty#getProperty(String, String, String, Date, Locale)    */
   public com.clustercontrol.bean.Property getEventInfoProperty( java.lang.String monitorId,java.lang.String pluginId,java.lang.String facilityId,java.util.Date outputDate,java.util.Locale locale ) throws javax.ejb.FinderException, javax.naming.NamingException;

   /**
    * 引数で指定されたイベント情報の確認を更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。
    * @param monitorId 更新対象の監視項目ID
    * @param pluginId 更新対象のプラグインID
    * @param facilityId 更新対象のファシリティID
    * @param outputDate 更新対象の受信日時ID
    * @param confirmDate 確認済み日時（更新値）
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyConfirm(String, String, String, Date, Date, int)    */
   public void modifyConfirm( java.lang.String monitorId,java.lang.String pluginId,java.lang.String facilityId,int priority,java.util.Date generateDate,java.util.Date outputDate,java.util.Date confirmDate,int confirmType ) throws javax.ejb.CreateException, javax.ejb.FinderException, javax.naming.NamingException;

   /**
    * 引数で指定されたイベント情報一覧の確認を更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。<BR> 複数のイベント情報を更新します。
    * @param list 更新対象のイベント情報一覧（EventLogDataが格納されたList）
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @throws CreateException
    * @throws FinderException
    * @throws NamingException
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyConfirm(List, int)    */
   public void modifyConfirm( java.util.List list,int confirmType ) throws javax.ejb.CreateException, javax.ejb.FinderException, javax.naming.NamingException;

   /**
    * 引数で指定された条件に一致するイベント情報の確認を一括更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。<BR>
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @param facilityId 更新対象の親ファシリティID
    * @param property 更新条件
    * @throws CreateException
    * @throws NamingException
    * @throws FinderException
    * @throws SQLException
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyBatchConfirm(int, String, Property)    */
   public void modifyBatchConfirm( int confirmType,java.lang.String facilityId,com.clustercontrol.bean.Property property ) throws javax.ejb.CreateException, javax.naming.NamingException, javax.ejb.FinderException, java.sql.SQLException;

}
