/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.notify.ejb.session;

/**
 * Local interface for NotifyController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface NotifyControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * 通知情報を作成します。
    * @param info 作成対象の通知情報
    * @return 作成に成功した場合、<code> true </code>
    * @throws HinemosUnknownException
    * @throws NotifyDuplicateException
    * @see com.clustercontrol.notify.factory.AddNotify#add(NotifyInfo)    */
   public boolean addNotify( com.clustercontrol.notify.bean.NotifyInfo info ) throws com.clustercontrol.HinemosUnknownException, com.clustercontrol.NotifyDuplicateException;

   /**
    * 通知情報を変更します。
    * @param info 変更対象の通知情報
    * @return 変更に成功した場合、<code> true </code>
    * @throws NotifyDuplicateException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.ModifyNotify#modify(NotifyInfo)    */
   public boolean modifyNotify( com.clustercontrol.notify.bean.NotifyInfo info ) throws com.clustercontrol.NotifyDuplicateException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知情報を削除します。
    * @param notifyId 削除対象の通知ID
    * @return 削除に成功した場合、<code> true </code>
    * @throws NotifyDuplicateException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.DeleteNotify#delete(String)    */
   public boolean deleteNotify( java.lang.String notifyId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 引数で指定された通知情報を返します。
    * @param notifyId 取得対象の通知ID
    * @return 通知情報
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotify(String)    */
   public com.clustercontrol.notify.bean.NotifyInfo getNotify( java.lang.String notifyId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知ID一覧を返します。
    * @return 通知ID一覧
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyIdList()    */
   public java.util.ArrayList getNotifyIdList(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知情報一覧を返します。
    * @return 通知情報一覧（Objectの2次元配列）
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyList()    */
   public java.util.ArrayList getNotifyList(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知情報マップを返します。
    * @return 通知情報マップ
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyMap()    */
   public java.util.HashMap getNotifyMap(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 障害検知用通知情報一覧を返します。
    * @return 通知情報一覧（Objectの2次元配列）
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyList()    */
   public java.util.ArrayList getTroubleDetectionNotifyList(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 障害検知用通知情報マップを返します。
    * @return 通知情報マップ
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyMap()    */
   public java.util.HashMap getTroubleDetectionNotifyMap(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知グループに対応する通知を取得します。
    * @param notifyGroupId 通知グループID
    * @return 通知
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException    */
   public java.util.Collection getNotifyRelation( java.lang.String notifyGroupId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知グループを変更します。
    * @param info 通知のセット
    * @param notifyGroupId 通知グループID
    * @return 変更に成功した場合、<code> true </code>
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException    */
   public boolean modifyNotifyRelation( java.util.Collection info,java.lang.String notifyGroupId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知グループを削除します。
    * @param notifyGroupId 通知グループID
    * @return 削除に成功した場合、<code> true </code>
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException    */
   public boolean deleteNotifyRelation( java.lang.String notifyGroupId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 通知グループを作成します。
    * @param info 通知グループ
    * @return 作成に成功した場合、<code> true </code>
    * @throws HinemosUnknownException    */
   public boolean addNotifyRelation( java.util.Collection info ) throws com.clustercontrol.HinemosUnknownException;

   /**
    * 　引数で指定した通知IDを利用している通知グループIDを取得する。
    * @param notifyId
    * @return　通知グループIDのリスト 
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException    */
   public java.util.ArrayList checkNotifyId( java.lang.String notifyId ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

   /**
    * 　通知定義情報が格納されたマップを取得する。
    * @return　通知定義情報が格納されたマップ 
    * @throws NotifyNotFoundException
    * @throws HinemosUnknownException
    * @throws NotifyQueueException 定義情報の取得に失敗した場合に投げられる    */
   public com.clustercontrol.notify.bean.NotifyTypeMstMap getNotifyTypeMstMap(  ) throws com.clustercontrol.NotifyNotFoundException, com.clustercontrol.HinemosUnknownException;

}
