/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.notify.monitor.ejb.entity;

/**
 * Local home interface for EventLog.
 * @see com.clustercontrol.notify.monitor.dao.EventLogDAO
 * @see com.clustercontrol.notify.monitor.dao.EventLogDAOImpl
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface EventLogLocalHome
   extends javax.ejb.EJBLocalHome
{
   public static final String COMP_NAME="java:comp/env/ejb/EventLogLocal";
   public static final String JNDI_NAME="EventLogLocal";

   public com.clustercontrol.notify.monitor.ejb.entity.EventLogLocal create(java.lang.String monitorId , java.lang.String pluginId , java.lang.String facilityId , java.lang.String scopeText , java.lang.String application , java.lang.String messageId , java.lang.String message , java.lang.String messageOrg , java.lang.Integer priority , java.lang.Integer confirmFlg , java.sql.Timestamp confirmDate , java.lang.String confirmUser , java.lang.Integer duplicationCount , java.sql.Timestamp generationDate , java.sql.Timestamp outputDate , java.lang.Integer inhibitedFlg)
      throws javax.ejb.CreateException;

   public java.util.Collection findAll()
      throws javax.ejb.FinderException;

   public com.clustercontrol.notify.monitor.ejb.entity.EventLogLocal findByPrimaryKey(com.clustercontrol.notify.monitor.ejb.entity.EventLogPK pk)
      throws javax.ejb.FinderException;

   public java.util.Collection findByGenerationDateOrder(java.lang.String monitorId , java.lang.String pluginId , java.lang.String facilityId , java.sql.Timestamp generationDate , java.lang.Integer inhibitedFlg)
      throws javax.ejb.FinderException;

   public java.util.Collection findByMessageOrg(java.lang.String monitorId , java.lang.String pluginId , java.lang.String facilityId , java.sql.Timestamp generationDate , java.lang.String messageOrg)
      throws javax.ejb.FinderException;

   public java.util.Collection findEvent(java.lang.String[] facilityId , java.lang.Integer priority , java.sql.Timestamp outputFromDate , java.sql.Timestamp outputToDate , java.sql.Timestamp generationFromDate , java.sql.Timestamp generationToDate , java.lang.String application , java.lang.String message , java.lang.Integer confirmFlg , java.lang.String confirmUser , boolean orderByFlg , java.lang.Integer limit)
      throws javax.ejb.FinderException;

   public java.util.Collection findHighPriorityEvent(java.lang.String[] facilityId , java.lang.Integer priority , java.sql.Timestamp outputFromDate , java.sql.Timestamp outputToDate , java.sql.Timestamp generationFromDate , java.sql.Timestamp generationToDate , java.lang.String application , java.lang.String message , java.lang.Integer confirmFlg , java.lang.String confirmUser)
      throws javax.ejb.FinderException;

   public java.util.Collection findDeleteTarget()
      throws javax.ejb.FinderException;

   public java.util.Collection findHighPriorityEvent(java.lang.String[] facilityId , java.lang.Integer priority , java.sql.Timestamp outputFromDate , java.sql.Timestamp outputToDate , java.sql.Timestamp generationFromDate , java.sql.Timestamp generationToDate , java.lang.String application , java.lang.String message , java.lang.Integer confirmFlg , java.lang.String confirmUser , boolean orderFlg)
      throws javax.ejb.FinderException;

   /**
    * イベントの確認フラグ（未／済）を更新するホームメソッドです。 確認フラグを更新し、確認済みの場合は確認済み日時を更新します。
    * @param facilityIds ファシリティIDの配列
    * @param priority 重要度
    * @param outputFromDate 受信日時（開始）
    * @param outputToDate 受信日時（終了）
    * @param generationFromDate 出力日時（開始）
    * @param generationToDate 出力日時（終了）
    * @param application アプリケーション
    * @param message メッセージ
    * @param selectConfirmFlg 設定する確認フラグと逆の状態の確認フラグ（未／済）
    * @param setConfirmFlg 確認フラグ（未／済）
    * @param confirmUser 確認を実施したユーザ
    * @throws SQLException
    * @see com.clustercontrol.bean.PriorityConstant
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.notify.monitor.dao.EventLogDAOImpl#confirmEvent(String[], Integer, Timestamp, Timestamp, Timestamp, Timestamp, String, String, Integer, Integer, String)    */
   public void batchConfirm(java.lang.String[] facilityIds , java.lang.Integer priority , java.sql.Timestamp outputFromDate , java.sql.Timestamp outputToDate , java.sql.Timestamp generationFromDate , java.sql.Timestamp generationToDate , java.lang.String application , java.lang.String message , java.lang.Integer selectConfirmFlg , java.lang.Integer setConfirmFlg , java.lang.String confirmUser) 
      throws java.sql.SQLException;
   /**
    * 引数で指定した条件と一致するイベントの件数を取得するホームメソッドです。
    * @param facilityId ファシリティIDの配列
    * @param priority 重要度
    * @param outputFromDate 受信日時（開始）
    * @param outputToDate 受信日時（終了）
    * @param generationFromDate 出力日時（開始）
    * @param generationToDate 出力日時（終了日時）
    * @param application アプリケーション
    * @param message メッセージ
    * @param confirmFlg 確認フラグ（未／済）
    * @return イベント件数
    * @throws SQLException
    * @see com.clustercontrol.bean.PriorityConstant
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.notify.monitor.dao.EventLogDAOImpl#countEvent(String[], Integer, Timestamp, Timestamp, Timestamp, Timestamp, String, String, Integer)    */
   public int countEvent(java.lang.String[] facilityId , java.lang.Integer priority , java.sql.Timestamp outputFromDate , java.sql.Timestamp outputToDate , java.sql.Timestamp generationFromDate , java.sql.Timestamp generationToDate , java.lang.String application , java.lang.String message , java.lang.Integer confirmFlg , java.lang.String confirmUser) 
      throws java.sql.SQLException;

}
