/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.performance.ejb.session;

/**
 * Local interface for CollectorController.
 * @since 1.0 <!-- begin-xdoclet-definition -->
 * @generated 
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface CollectorControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * リアルタイム収集用のEntityBeanを生成します。
    * @param facilityID ファシリティID
    * @param interval 収集間隔
    * @param colletorItemList　収集項目設定のリスト
    */
   public void createRealtimeColletor( java.lang.String facilityID,int interval,java.util.List colletorItemList ) ;

   /**
    * 指定スコープのリアルタイム収集の収集済みデータを取得します。
    * @param facilityID ファシリティID
    * @param itemID　収集項目ID
    * @return　収集済み性能データ（CollectedDataInfo）のリスト 
    */
   public java.util.Collection getRealtimeCollectedData( java.lang.String facilityID,java.lang.String itemCode,java.lang.String displayName ) ;

   /**
    * 指定スコープのサブスコープのリアルタイム収集済みデータを取得します。
    * @param facilityID ファシリティID
    * @param itemID　収集項目ID
    * @return　収集済み性能データ（CollectedDataInfo）のリスト 
    */
   public java.util.Collection getSubScopeRealtimeCollectedData( java.lang.String facilityID,java.lang.String itemCode,java.lang.String displayName ) ;

   /**
    * リアルタイム収集の収集済みデータを取得します。 指定のファシリティで収集されている全ての収集項目の性能値データを取得します。
    * @param facilityID　ファシリティID
    * @return 収集済み性能データ（CollectedDataInfo）のリスト
    */
   public java.util.Collection getRealtimeCollectedDataAll( java.lang.String facilityID ) ;

   /**
    * 実績収集のリストを返します。 戻り値のArrayListはArrayLisyのArrayListとなる。 　実行状態、ステータス、収集ID、説明、スコープのパス、収集開始時刻、収集終了時刻、収集間隔、収集回数 　が格納されているArrayListのリストとなる。 下記のような構造。 　インデックス1:実行状態、ステータス、収集ID、説明、スコープのパス、収集開始時刻、収集終了時刻、収集間隔、収集回数 　インデックス2:実行状態、ステータス、収集ID、説明、スコープのパス、収集開始時刻、収集終了時刻、収集間隔、収集回数 　インデックス3:実行状態、ステータス、収集ID、説明、スコープのパス、収集開始時刻、収集終了時刻、収集間隔、収集回数 　インデックス4:実行状態、ステータス、収集ID、説明、スコープのパス、収集開始時刻、収集終了時刻、収集間隔、収集回数 …
    * @generated 
    * @return 実績収集の一覧（Objectの2次元配列）
    * @throws NamingException
    * @throws FinderException    */
   public java.util.ArrayList getCollectionList(  ) ;

   /**
    * 収集項目コードの一覧を取得します
    * @generated 
    * @return 収集項目IDをキーとしCollectorItemTreeItemが格納されているHashMap    */
   public java.util.HashMap getItemCodeMap(  ) ;

   /**
    * 収集項目ツリーを返します
    * @generated 
    * @param facilityId ファシリティID
    * @param collectorId 収集ID
    * @return 収集項目ツリー（GUIで収集項目をカテゴリ毎にツリー構造で表示するためのデータ構造）    */
   public com.clustercontrol.performance.util.code.CollectorItemTreeItem[] getCollectorTree( java.lang.String facilityId,java.lang.String collectorId ) ;

   /**
    * 指定のファシリティで収集可能な項目のリストを返します デバイス別の収集項目があり、ノード毎に登録されているデバイス情報が異なるため、 取得可能な収集項目はファシリティ毎に異なる。
    * @generated 
    * @param facilityId ファシリティID
    * @return 指定のファシリティで収集可能な項目のリスト    */
   public java.util.List getAvailableCollectorItemList( java.lang.String facilityId ) ;

   /**
    * アクセス可能かどうかをチェックするためのメソッド 読み込み権限のあるroleで呼び出すとtrueを返す
    * @generated 
    * @return true    */
   public boolean checkPermissionRead(  ) ;

   /**
    * アクセス可能かどうかをチェックするためのメソッド 書き込み権限のあるroleで呼び出すとtrueを返す
    * @generated 
    * @return true    */
   public boolean checkPerformanceWrite(  ) ;

   /**
    * アクセス可能かどうかをチェックするためのメソッド 書き込み権限のあるroleで呼び出すとtrueを返す
    * @generated 
    * @return true    */
   public boolean checkPermissionExecute(  ) ;

   /**
    * 指定のファシリティIDが収集設定で使用されているかチェックします。 <P> 使用されていたら、UsedFacilityException がスローされる。
    * @param facilityId ファシリティ
    * @throws UsedFacilityException
    * @see com.clustercontrol.commons.ejb.session.CheckFacility#isUseFacilityId(java.lang.String)
    * @see com.clustercontrol.bean.PluginConstant;    */
   public void isUseFacilityId( java.lang.String facilityId ) throws com.clustercontrol.UsedFacilityException;

   /**
    * 全ての収集実行中のCollectorのScopeTreeキャッシュを更新し、ポーラーを起動する。
    * @throws NamingException
    * @throws FinderException
    */
   public void refreshScopeTree(  ) throws javax.ejb.FinderException, javax.naming.NamingException;

}
