/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.snmptrap.ejb.session;

/**
 * Remote interface for MonitorSnmpTrapController.
 * @since 2.1.0
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 3.2.1
 */
public interface MonitorSnmpTrapController
   extends javax.ejb.EJBObject
{
   /**
    * SNMPTRAP監視情報をマネージャに登録します。<BR>
    * @param info 監視情報
    * @return 登録に成功した場合、true
    * @throws MonitorNotFoundException
    * @throws MonitorDuplicateException
    * @throws HinemosUnknownException    */
   public boolean addMonitor( com.clustercontrol.snmptrap.bean.MonitorSnmpTrapInfo info )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.MonitorDuplicateException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * マネージャのSNMP TRAP監視情報を更新します。<BR>
    * @param info 監視情報
    * @return 変更に成功した場合、true
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean modifyMonitor( com.clustercontrol.snmptrap.bean.MonitorSnmpTrapInfo info )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * SQL監視情報をマネージャから削除します。<BR>
    * @param monitorId 監視項目ID
    * @return 削除に成功した場合、true
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean deleteMonitor( java.lang.String monitorId )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * MIB一覧を取得します。<BR> 戻り値はMIBの名前(String)のArrayListです。
    * @return MIB一覧
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public java.util.ArrayList getMibList(  )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * 監視マスタ情報一覧を取得します。<BR> 戻り値はSnmpTrapMasterInfoのArrayListです。
    * @return MIB一覧
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.snmptrap.bean.SnmpTrapMasterInfo    */
   public java.util.ArrayList getMasterList( java.lang.String mib )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * SNMPTRAP監視設定情報を取得します。
    * @param monitorId 監視項目ID
    * @return 監視情報
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException
    * @see com.clustercontrol.snmptrap.bean.MonitorSnmpTrapInfo    */
   public com.clustercontrol.snmptrap.bean.MonitorSnmpTrapInfo getMonitorInfo( java.lang.String monitorId )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * SNMPTRAP監視一覧リストを取得します。<BR> 戻り値はArrayListのArrayListであり、内部のArrayListは 下記の様に格納される。 <Pre> ArrayList info = new ArrayList(); info.add(monitor.getMonitorId()); info.add(monitor.getDescription()); info.add(oids.size()); info.add(facilityPath); info.add(monitor.getValidFlg().intValue()); info.add(monitor.getRegUser()); info.add(monitor.getRegDate() == null ? null:new Date(monitor.getRegDate().getTime())); info.add(monitor.getUpdateUser()); info.add(monitor.getUpdateDate() == null ? null:new Date(monitor.getUpdateDate().getTime())); list.add(info); </Pre>
    * @return Objectの2次元配列
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public java.util.ArrayList getMonitorList(  )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * ファシリティIDが使用されているかチェックします。<BR> <P> 使用されていたら、UsedFacilityException がスローされる。
    * @param facilityId ファシリティ
    * @throws UsedFacilityException
    * @see com.clustercontrol.commons.ejb.session.CheckFacility#isUseFacilityId(java.lang.String)
    * @see com.clustercontrol.bean.PluginConstant;    */
   public void isUseFacilityId( java.lang.String facilityId )
      throws com.clustercontrol.UsedFacilityException, java.rmi.RemoteException;

   /**
    * MIBの内容を取得します。<BR> 戻り値はMIBのDTO(SnmpTrapMibMasterData)です。
    * @return MIB一覧
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public com.clustercontrol.snmptrap.ejb.entity.SnmpTrapMibMasterData getMib( java.lang.String Mib )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * MIB情報の登録
    * @param MibData
    * @return 
    * @throws HinemosUnknownException    */
   public boolean addMibMaster( com.clustercontrol.snmptrap.ejb.entity.SnmpTrapMibMasterData MibData )
      throws com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * MIB情報の変更
    * @param MibData
    * @return 
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean modifyMibMaster( com.clustercontrol.snmptrap.ejb.entity.SnmpTrapMibMasterData MibData )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * MIB情報の削除
    * @param mib
    * @return 
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean deleteMibMaster( java.lang.String Mib )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * OID情報の登録
    * @param MibData
    * @return 
    * @throws HinemosUnknownException    */
   public boolean addOidMaster( com.clustercontrol.snmptrap.bean.SnmpTrapMasterInfo Oid )
      throws com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * OID情報の変更
    * @param MibData
    * @return 
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean modifyOidMaster( com.clustercontrol.snmptrap.bean.SnmpTrapMasterInfo Oid )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

   /**
    * OID情報の削除
    * @param mib
    * @return 
    * @throws MonitorNotFoundException
    * @throws HinemosUnknownException    */
   public boolean deleteOidMaster( com.clustercontrol.snmptrap.bean.SnmpTrapMasterInfo oid )
      throws com.clustercontrol.MonitorNotFoundException, com.clustercontrol.HinemosUnknownException, java.rmi.RemoteException;

}
