/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.ejb.entity;

import java.util.Collection;



/**
 *
 * 一括制御コマンド情報のEntity Beanです。
 * 
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="CRunCmdMst"
 *    jndi-name="CRunCmdMst"
 *    type="CMP"
 *    view-type="local"
 *    primkey-field="command_id" 
 *    schema="CRunCmdMst" 
 *    cmp-version="2.x"
 *    data-source="java:/HinemosDS"
 * 
 * @ejb.persistence 
 *    table-name="cc_crun_cmd_mst" 
 * 
 * @ejb.pk class="java.lang.String"
 * 
 * @jboss.persistence
 *    datasource="java:/HinemosDS"
 *    datasource-mapping="PostgreSQL 8.0"
 *    table-name="public.cc_crun_cmd_mst"
 *    create-table="false"
 *    remove-table="false"
 *    alter-table="false"
 * 
 * @jboss.container-configuration
 *    name="Hinemos Config CMP 2.x EntityBean"
 * 
 * @jboss.depends
 *    name="jboss.jca:service=DataSourceBinding,name=HinemosDS"
 * 
 * @ejb.permission
 *    unchecked="true"
 * 
 * @jboss.method-attributes
 *    pattern="get*"
 *    read-only="true"
 * 
 * @ejb.finder 
 *    query="SELECT OBJECT(a) FROM CRunCmdMst as a"  
 *    signature="java.util.Collection findAll()"  
 * 
 * @ejb.finder
 *    query="SELECT OBJECT(a) FROM CRunCmdMst as a WHERE a.type_id = ?1"
 *    signature="java.util.Collection findByTypeId(java.lang.String type_id)"  
 * 
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public abstract class CRunCmdMstBean implements javax.ejb.EntityBean {
    
    /**
     *
     * <!-- begin-user-doc -->
     * The  ejbCreate method.
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     * @ejb.create-method 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public java.lang.String ejbCreate(
            String command_id, 
            String type_id, 
            Integer order_no, 
            String name_id, 
            Integer command_type, 
            String command) throws javax.ejb.CreateException {
        setCommand_id(command_id);
        setType_id(type_id);
        setOrder_no(order_no);
        setName_id(name_id);
        setCommand_type(command_type);
        setCommand(command);
        return null;
    }
    
    /**
     * <!-- begin-user-doc -->
     * The container invokes this method immediately after it calls ejbCreate.
     * <!-- end-user-doc -->
     * 
     * @generated
     */
    public void ejbPostCreate() throws javax.ejb.CreateException {
        // begin-user-code
        // end-user-code
    }
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field command_id
     *
     * Returns the command_id
     * @return the command_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="command_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     * @ejb.pk-field 
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getCommand_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the command_id
     * 
     * @param java.lang.String the new command_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setCommand_id(java.lang.String command_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field type_id
     *
     * Returns the type_id
     * @return the type_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="type_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getType_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the type_id
     * 
     * @param java.lang.String the new type_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setType_id(java.lang.String type_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field order_no
     *
     * Returns the order_no
     * @return the order_no
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="order_no"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getOrder_no();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the order_no
     * 
     * @param java.lang.Integer the new order_no value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setOrder_no(java.lang.Integer order_no);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field name_id
     *
     * Returns the name_id
     * @return the name_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="name_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getName_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the name_id
     * 
     * @param java.lang.String the new name_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setName_id(java.lang.String name_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field command_type
     *
     * Returns the command_type
     * @return the command_type
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="command_type"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getCommand_type();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the command_type
     * 
     * @param java.lang.Integer the new command_type value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setCommand_type(java.lang.Integer command_type);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field command
     *
     * Returns the command
     * @return the command
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="command"
     *     jdbc-type="VARCHAR"
     *     sql-type="VAECHAR"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getCommand();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the command
     * 
     * @param java.lang.String the new command value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setCommand(java.lang.String command);
    
    //	==========================================
    //	 CMR fields
    //	==========================================
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunTypeMst-CRunCmdMst"
     * role-name="CRunCmdMst-CRunTypeMst(multi)"
     * 
     * @jboss.relation
     * related-pk-field="type_id"
     * fk-column="type_id"
     */
    public abstract CRunTypeMstLocal getTypeMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setTypeMst(CRunTypeMstLocal typeMst);
    
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunCmdMst-CRunCmdParamMst"
     * role-name="CRunCmdMst-CRunCmdParamMst(single)"
     * 
     */
    public abstract Collection getCmdParamMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setCmdParamMst(Collection collection);
    
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunCmdMst-CRunEndMst"
     * role-name="CRunCmdMst-CRunEndMst(single)"
     * 
     */
    public abstract Collection getEndMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setEndMst(Collection collection);
}
