/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.ejb.entity;


/**
 *
 * 一括制御の終了状態に関する情報を持つEntity Beanです。
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="CRunEndMst"
 *    jndi-name="CRunEndMst"
 *    type="CMP"
 *    view-type="local"
 *    schema="CRunEndMst" 
 *    cmp-version="2.x"
 *    data-source="java:/HinemosDS"
 * 
 * @ejb.persistence 
 *    table-name="cc_crun_end_mst" 
 * 
 * @ejb.pk
 *    class="com.clustercontrol.collectiverun.ejb.entity.CRunEndMstPK"
 * 
 * @jboss.persistence
 *    datasource="java:/HinemosDS"
 *    datasource-mapping="PostgreSQL 8.0"
 *    table-name="public.cc_crun_end_mst"
 *    create-table="false"
 *    remove-table="false"
 *    alter-table="false"
 * 
 * @jboss.container-configuration
 *    name="Hinemos Config CMP 2.x EntityBean"
 * 
 * @jboss.depends
 *    name="jboss.jca:service=DataSourceBinding,name=HinemosDS"
 * 
 * @ejb.permission
 *    unchecked="true"
 * 
 * @jboss.method-attributes
 *    pattern="get*"
 *    read-only="true"
 * 
 * @ejb.finder 
 *    query="SELECT OBJECT(a) FROM CRunEndMst as a"  
 *    signature="java.util.Collection findAll()"  
 *
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public abstract class CRunEndMstBean implements javax.ejb.EntityBean {
    
    /**
     *
     * <!-- begin-user-doc -->
     * The  ejbCreate method.
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     * @ejb.create-method 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public CRunEndMstPK ejbCreate(
            String command_id, 
            Integer end_status, 
            Integer end_value_from, 
            Integer end_value_to) throws javax.ejb.CreateException {
        setCommand_id(command_id);
        setEnd_status(end_status);
        setEnd_value_from(end_value_from);
        setEnd_value_to(end_value_to);
        return null;
    }
    
    /**
     * <!-- begin-user-doc -->
     * The container invokes this method immediately after it calls ejbCreate.
     * <!-- end-user-doc -->
     * 
     * @generated
     */
    public void ejbPostCreate() throws javax.ejb.CreateException {
        // begin-user-code
        // end-user-code
    }
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field command_id
     *
     * Returns the command_id
     * @return the command_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="command_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     * @ejb.pk-field 
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getCommand_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the command_id
     * 
     * @param java.lang.String the new command_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setCommand_id(java.lang.String command_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field end_status
     *
     * Returns the end_status
     * @return the end_status
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="end_status"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     * @ejb.pk-field 
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getEnd_status();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the end_status
     * 
     * @param java.lang.Integer the new end_status value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setEnd_status(java.lang.Integer end_status);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field end_value_from
     *
     * Returns the end_value_from
     * @return the end_value_from
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="end_value_from"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getEnd_value_from();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the end_value_from
     * 
     * @param java.lang.Integer the new end_value_from value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setEnd_value_from(java.lang.Integer end_value_from);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field end_value_to
     *
     * Returns the end_value_to
     * @return the end_value_to
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="end_value_to"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getEnd_value_to();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the end_value_to
     * 
     * @param java.lang.Integer the new end_value_to value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setEnd_value_to(java.lang.Integer end_value_to);
    
    //	==========================================
    //	 CMR fields
    //	==========================================
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunCmdMst-CRunEndMst"
     * role-name="CRunEndMst-CRunCmdMst(multi)"
     * 
     * @jboss.relation
     * related-pk-field="command_id"
     * fk-column="command_id"
     */
    public abstract CRunCmdMstLocal getCmdMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setCmdMst(CRunCmdMstLocal cmdMst);
}
