/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.ejb.entity;

import java.util.Collection;


/**
 *
 * 一括制御コマンドのパラメータを示すキーと表示用文字列を持つEntity Beanです。
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="CRunParamMst"
 *    jndi-name="CRunParamMst"
 *    type="CMP"
 *    view-type="local"
 *    primkey-field="param_id" 
 *    schema="CRunParamMst" 
 *    cmp-version="2.x"
 *    data-source="java:/HinemosDS"
 * 
 * @ejb.persistence 
 *    table-name="cc_crun_param_mst" 
 * 
 * @ejb.pk class="java.lang.String"
 * 
 * @jboss.persistence
 *    datasource="java:/HinemosDS"
 *    datasource-mapping="PostgreSQL 8.0"
 *    table-name="public.cc_crun_param_mst"
 *    create-table="false"
 *    remove-table="false"
 *    alter-table="false"
 * 
 * @jboss.container-configuration
 *    name="Hinemos Config CMP 2.x EntityBean"
 * 
 * @jboss.depends
 *    name="jboss.jca:service=DataSourceBinding,name=HinemosDS"
 * 
 * @ejb.permission
 *    unchecked="true"
 * 
 * @jboss.method-attributes
 *    pattern="get*"
 *    read-only="true"
 * 
 * @ejb.finder 
 *    query="SELECT OBJECT(a) FROM CRunParamMst as a"  
 *    signature="java.util.Collection findAll()"  
 *
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public abstract class CRunParamMstBean implements javax.ejb.EntityBean {
    
    /**
     *
     * <!-- begin-user-doc -->
     * The  ejbCreate method.
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     * @ejb.create-method 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public java.lang.String ejbCreate(
            String param_id, 
            String name_id, 
            Integer param_type) throws javax.ejb.CreateException {
        setParam_id(param_id);
        setName_id(name_id);
        setParam_type(param_type);
        return null;
    }
    
    /**
     * <!-- begin-user-doc -->
     * The container invokes this method immediately after it calls ejbCreate.
     * <!-- end-user-doc -->
     * 
     * @generated
     */
    public void ejbPostCreate() throws javax.ejb.CreateException {
        // begin-user-code
        // end-user-code
    }
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field param_id
     *
     * Returns the param_id
     * @return the param_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="param_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     * @ejb.pk-field 
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getParam_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the param_id
     * 
     * @param java.lang.String the new param_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setParam_id(java.lang.String param_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field name_id
     *
     * Returns the name_id
     * @return the name_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="name_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getName_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the name_id
     * 
     * @param java.lang.String the new name_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setName_id(java.lang.String name_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field param_type
     *
     * Returns the param_type
     * @return the param_type
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="param_type"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getParam_type();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the param_type
     * 
     * @param java.lang.Integer the new param_type value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setParam_type(java.lang.Integer param_type);
    
    //	==========================================
    //	 CMR fields
    //	==========================================
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunParamMst-CRunCmdParamMst"
     * role-name="CRunParamMst-CRunCmdParamMst(single)"
     * 
     */
    public abstract Collection getCmdParamMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setCmdParamMst(Collection collection);
    
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunParamMst-CRunParamSelectMst"
     * role-name="CRunParamMst-CRunParamSelectMst(single)"
     * 
     */
    public abstract Collection getParamSelectMst();
    
    /**
     * 
     * @ejb.interface-method view-type="local"
     */
    public abstract void setParamSelectMst(Collection collection);
}
