/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.ejb.mdb;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

import javax.jms.DeliveryMode;
import javax.jms.JMSException;
import javax.jms.ObjectMessage;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.clustercontrol.collectiverun.bean.QueueConstant;
import com.clustercontrol.collectiverun.factory.CommandExecutor;
import com.clustercontrol.collectiverun.message.CollectiveRunInstructionInfo;
import com.clustercontrol.commons.util.HinemosProperties;
import com.clustercontrol.commons.util.SendQueue;
import com.clustercontrol.jobmanagement.bean.RunStatusConstant;
import com.clustercontrol.jobmanagement.message.RunResultInfo;
import com.clustercontrol.repository.bean.FacilityAttributeConstant;
import com.clustercontrol.repository.ejb.session.RepositoryControllerLocal;
import com.clustercontrol.repository.ejb.session.RepositoryControllerUtil;


/**
 *
 * <!-- begin-user-doc --> You can insert your documentation for '<em><b>CollectiveRunExecuteBean</b></em>'. <!-- end-user-doc --> *
 *
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="CollectiveRunExecuteBean" 
 *     acknowledge-mode="Auto-acknowledge"
 *     destination-type="javax.jms.Queue"
 *     transaction-type="Bean"
 *     destination-jndi-name="queue/clustercontrolCollectiveRunExecute"
 * 
 * @jboss.depends name="user:service=HinemosService,name=HinemosService"
 * 
 * @jboss.container-configuration 
 *     name="CollectiveRun Message Driven Bean" 
 *
 *--
 * Server Runtime Specific Tags
 * If you are not using a specific runtime, you can safely remove the tags below.
 * @jonas.message-driven-destination jndi-name="queue/clustercontrolCollectiveRunExecute"
 * @jboss.destination-jndi-name name="queue/clustercontrolCollectiveRunExecute"
 *
 *--
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public class CollectiveRunExecuteBean implements javax.ejb.MessageDrivenBean, javax.jms.MessageListener {
    protected static Log m_log = LogFactory.getLog( CollectiveRunExecuteBean.class );
    private static final String RSH = "rsh";
    private static final String SSH = "ssh";
    
    /** 
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * The context for the message-driven bean, set by the EJB container. 
     * @generated
     */
    private javax.ejb.MessageDrivenContext messageContext = null;

    /** 
     * Required method for container to set context.
     * @generated 
     */
    public void setMessageDrivenContext(
            javax.ejb.MessageDrivenContext messageContext)
            throws javax.ejb.EJBException {
        this.messageContext = messageContext;
    }

    /** 
     * Required creation method for message-driven beans. 
     *
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition -->
     * @ejb.create-method 
     * <!-- end-xdoclet-definition -->
     * @generated
     */
    public void ejbCreate() {
        //no specific action required for message-driven beans 
    }

    /** 
     * Required removal method for message-driven beans. 
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void ejbRemove() {
        messageContext = null;
    }

    /** 
     * This method implements the business logic for the EJB. 
     * 
     * <p>Make sure that the business logic accounts for asynchronous message processing. 
     * For example, it cannot be assumed that the EJB receives messages in the order they were 
     * sent by the client. Instance pooling within the container means that messages are not 
     * received or processed in a sequential order, although individual onMessage() calls to 
     * a given message-driven bean instance are serialized. 
     * 
     * <p>The <code>onMessage()</code> method is required, and must take a single parameter 
     * of type javax.jms.Message. The throws clause (if used) must not include an application 
     * exception. Must not be declared as final or static. 
     *
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void onMessage(javax.jms.Message message) {
        m_log.debug("onMessage() : start");

        if (message instanceof ObjectMessage) {
            ObjectMessage objectMessage = (ObjectMessage) message;
            Object obj;
            try {
                obj = objectMessage.getObject();
            } catch (JMSException e) {
                m_log.error("onMessage() : An illegal message was received.", e);
                return;
            }

//            if (obj instanceof RunInstructionInfo) {
            if (obj instanceof CollectiveRunInstructionInfo) {
//                RunInstructionInfo info = (RunInstructionInfo) obj;
                
            	CollectiveRunInstructionInfo info = (CollectiveRunInstructionInfo) obj;

            	m_log.debug("onMessage() : RunInstructionInfo was received. : SessionID=" + 
                		info.getSessionId() + ", FacilityID=" + info.getFacilityId());

            	SendQueue send = null;
              try {
                	
					//コマンド実行
					exec(info);
				} catch (Exception e) {
					//コマンド実行にて、想定外のExceptionが発生した場合、実行失敗とする
					
					m_log.error(e);
					
//		            SendQueue send = null;
		            try {
		                send = new SendQueue(QueueConstant.QUEUE_NAME_STATUS);
		            } catch (NamingException e1) {
		                m_log.error(e1);
		            } catch (JMSException e1) {
		                m_log.error(e1);
		            }
					
			        //メッセージ作成
			        RunResultInfo resultInfo = new RunResultInfo();
			        resultInfo.setSessionId(info.getSessionId());
			        resultInfo.setFacilityId(info.getFacilityId());
			        resultInfo.setCommandType(info.getCommandType());
			        resultInfo.setStatus(RunStatusConstant.START);
			        resultInfo.setTime(new Date());
					
		            //送信
		            try {
		            	if(send != null)
		            		send.put(resultInfo, DeliveryMode.PERSISTENT);
		            } catch (JMSException e1) {
		                m_log.error(e1);
		            }
		            
			        //メッセージ作成
		            resultInfo.setStatus(RunStatusConstant.ERROR);
		            resultInfo.setTime(new Date());
		            resultInfo.setErrorMessage(e.getMessage());
		            
		            //送信
		            try {
		            	if(send != null)
		            		send.put(resultInfo, DeliveryMode.PERSISTENT);
		            } catch (JMSException e1) {
		                m_log.error(e1);
		            }
		            
				} finally {
					
					if (send != null) {
						try {
							send.terminate();
						} catch (JMSException e) {
							m_log.error("Terminate SendQueue Failed : " + e);
						}
					}
					
				}

            } else {
                m_log.error("onMessage() : An illegal message was received." + obj.toString());
                return;
            }
        } else {
            m_log.error("onMessage() : An illegal message was received." + message.getClass());
            return;
        }
        m_log.debug("onMessage() : end");
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Runnable#run()
     */
//    public void exec(RunInstructionInfo instructionInfo) {
    public void exec(CollectiveRunInstructionInfo instructionInfo) {
        m_log.debug("run start :" + instructionInfo.getFacilityId());

        //---------------------------
        //-- 開始メッセージ送信
        //---------------------------

        //メッセージ作成
        RunResultInfo resultInfo = new RunResultInfo();
        resultInfo.setSessionId(instructionInfo.getSessionId());
        resultInfo.setJobId(instructionInfo.getJobId());
        resultInfo.setFacilityId(instructionInfo.getFacilityId());
        resultInfo.setCommandType(instructionInfo.getCommandType());
        resultInfo.setStatus(RunStatusConstant.START);
        resultInfo.setTime(new Date());

        m_log.debug("run SessionID=" + instructionInfo.getSessionId() + ", JobID="
                + instructionInfo.getJobId());

        //送信
        SendQueue send = null;
        try {
            send = new SendQueue(QueueConstant.QUEUE_NAME_STATUS);
            send.put(resultInfo, DeliveryMode.PERSISTENT);
        } catch (NamingException e1) {
            m_log.error(e1);
        } catch (JMSException e1) {
            m_log.error(e1);
        }

        //---------------------------
        //-- コマンド実行
        //---------------------------

        //リモート実行ホスト名を取得
        String host = "";
        try {
            host = getRemoteHostName(instructionInfo.getFacilityId());
        } catch (Exception e) {
            //終了メッセージの種別をセット
            resultInfo.setStatus(RunStatusConstant.ERROR);
            resultInfo.setTime(new Date());
            resultInfo.setErrorMessage(e.getMessage());

            //送信
            try {
                send.put(resultInfo, DeliveryMode.PERSISTENT);
            } catch (JMSException e1) {
                m_log.error(e1);
            }
            return;
        }

        //コマンド終了値取得用文字列「セッションID:ret=」
        String endValueStr = instructionInfo.getSessionId() + ":ret=";

        //実行コマンド組み立て
        String cmd[] = new String[5];
        cmd[0] = getRemoteExec();
        cmd[1] = host;
        cmd[2] = "-l";
        cmd[3] = getRemoteUser();
//        cmd[4] = instructionInfo.getCommand() + ";echo " + endValueStr + "$?;sleep 1";
        cmd[4] = instructionInfo.getCommand() + ";echo " + endValueStr + "$?;read ANS";
//      sleep はコマンド終了時に標準出力が切れてしまうので暫定

        CommandExecutor executor = new CommandExecutor();

//        boolean ret = executor.exec(cmd, instructionInfo.getInputFile());
        boolean ret = executor.exec(cmd, instructionInfo.getInputFile(), endValueStr);
        int exitValue = executor.getExitValue();
        String resultMsg = executor.getResultMsg();

        //---------------------------
        //-- 終了メッセージ送信
        //---------------------------
        boolean errFlg = true;
        if (ret) {
            //リモートシェル自体の実行ステータスをチェック
            if (exitValue == 0) {
                //リモートシェルが正常ならば、コマンドの終了値を標準出力から取得する
                int idx = resultMsg.lastIndexOf(endValueStr);
                if (idx != -1) {
                    //コマンドの終了値が取得できれば、終了値をコマンド終了値にする
                    String endValue = resultMsg.substring(idx
                            + endValueStr.length(), resultMsg.length() - 1);
                    m_log.debug(endValue);
                    exitValue = Integer.parseInt(endValue);
                    m_log.debug("int:" + exitValue);
                    resultMsg = resultMsg.substring(0, idx);
                    errFlg = false;
                }
            }
        }

        //終了メッセージの種別をセット
        if (errFlg) {
            resultInfo.setStatus(RunStatusConstant.ERROR);
        } else {
            resultInfo.setStatus(RunStatusConstant.END);
            resultInfo.setEndValue(exitValue);
        }

        //終了を送信
        resultInfo.setTime(new Date());
        resultInfo.setErrorMessage(executor.getErrMsg());
        resultInfo.setMessage(resultMsg);

        //送信
        try {
            send.put(resultInfo, DeliveryMode.PERSISTENT);
        } catch (JMSException e1) {
            m_log.error(e1);
        }
        
		if (send != null) {
			try {
				send.terminate();
			} catch (JMSException e) {
				m_log.error("Terminate SendQueue Failed : " + e);
			}
		}

        m_log.debug("run end :" + instructionInfo.getFacilityId());
    }

    /**
     * リモートホスト取得. ファシリティIDからIPアドレスまたは、ホスト名を返す。
     * 
     * @param facilityID
     *            ファシリティID
     * @return IPアドレスまたはホスト名
     * @since
     */
    private String getRemoteHostName(String facilityID) throws Exception {
        String host = null;
        //RepositoryControllerを取得
        RepositoryControllerLocal repository = null;
        try {
            repository = RepositoryControllerUtil.getLocalHome().create();

            //ファイシリティIDでIPとホスト名を取得
            ArrayList facilityAttrList = new ArrayList();
            facilityAttrList.add(FacilityAttributeConstant.NODENAME);
            facilityAttrList.add(FacilityAttributeConstant.IPNETWORKNUMBER);

            HashMap facilityAttrMap = 
                repository.getNodeDetail(facilityID, facilityAttrList);
            //IPが取得できれば、IP、取得できなければ、ホスト名(ノード名)を返す
            host = (String) facilityAttrMap
                    .get(FacilityAttributeConstant.IPNETWORKNUMBER);
            if (host == null || host.length() == 0) {
                host = (String) facilityAttrMap
                        .get(FacilityAttributeConstant.NODENAME);
                if (host == null) {
                    host = "";
                }
            }

            if (m_log.isDebugEnabled()) {
                m_log.debug("getRemoteHostName() : HostName=" + host);
            }

        } catch (Exception e) {
            m_log.error(e);
            throw e;

        } finally {
            try {
                if (repository != null) {
                    repository.remove();
                }
            } catch (Exception e) {
            }

        }

        return host;
    }
    
	/**
	 * 実行シェルをプロパティファイルから取得
	 * @return remoteExec
	 * @version 2.0.0
	 * @since 2.0.0
	 */
	public String getRemoteExec() {
		String remoteExec = RSH;
		//FIXME RuntimeのExceptionが発生する恐れがあるためtry-catchとする
		try {
			// プロパティファイルからキーと値のリストを読み込みます
			remoteExec = HinemosProperties.getProperty("collective.run.shell", "");
			if(remoteExec.equalsIgnoreCase(RSH)){
				remoteExec = RSH;
			}
			else if(remoteExec.equalsIgnoreCase(SSH)){
				remoteExec = SSH;
			}
		} catch (Exception e) {
			m_log.debug("CollectiveRunExecuteBean.getRemoteExec() : " + e.getMessage());
		}
		m_log.debug("getRemoteExec() remoteExec = " + remoteExec);
		return remoteExec;
	}

	/**
	 * リモートシェル実行時ユーザをプロパティファイルから取得
	 * @return userName
	 */
	public String getRemoteUser(){
		String userName = HinemosProperties.getProperty("collective.run.user", "root");
		m_log.debug("getRemoteUser() userName = " + userName);
		return userName;
	}
}
