/*
 
 Copyright (C) 2006 NTT DATA Corporation
 
 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation, version 2.
 
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 */

package com.clustercontrol.logtransfer.ejb.mdb;

import javax.ejb.EJBException;
import javax.jms.DeliveryMode;
import javax.jms.JMSException;
import javax.jms.ObjectMessage;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.clustercontrol.logtransfer.bean.QueueConstant;
import com.clustercontrol.commons.util.SendQueue;
import com.clustercontrol.repository.message.UpdateRepositoryInfo;

/**
 *
 * <!-- begin-user-doc --> リポジトリ情報が更新されたことを受信する Massage Driven Bean '<em><b>ReceiveUpdateRepositoryBean</b></em>'. <!-- end-user-doc --> *
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="ReceiveUpdateRepositoryBean"
 *     acknowledge-mode="Auto-acknowledge"
 *     destination-type="javax.jms.Topic"
 *     message-selector="All='true'"
 *     transaction-type="Container"
 *     destination-jndi-name="topic/clustercontrolRepositoryUpdate"
 * 
 * @jboss.depends name="user:service=HinemosService,name=HinemosService"
 * 
 * @jboss.container-configuration
 *  name="Singleton Message Driven Bean"
 * 
 *--
 * Server Runtime Specific Tags
 * If you are not using a specific runtime, you can safely remove the tags below.
 * @jonas.message-driven-destination jndi-name="topic/clustercontrolRepositoryUpdate"
 * @jboss.destination-jndi-name name="topic/clustercontrolRepositoryUpdate"
 *
 *--
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public class ReceiveUpdateRepositoryBean implements javax.ejb.MessageDrivenBean, javax.jms.MessageListener {
	
	protected static Log m_log = LogFactory.getLog( ReceiveUpdateRepositoryBean.class );
	
	/** 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * The context for the message-driven bean, set by the EJB container. 
	 * @generated
	 */
	private javax.ejb.MessageDrivenContext messageContext = null;
	
	/** 
	 * Required method for container to set context.
	 * @generated 
	 */
	public void setMessageDrivenContext(
			javax.ejb.MessageDrivenContext messageContext)
	throws javax.ejb.EJBException {
		this.messageContext = messageContext;
	}
	
	/** 
	 * Required creation method for message-driven beans. 
	 *
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition -->
	 * @ejb.create-method 
	 * <!-- end-xdoclet-definition -->
	 * @generated
	 */
	public void ejbCreate() {
		//no specific action required for message-driven beans 
	}
	
	/** 
	 * Required removal method for message-driven beans. 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void ejbRemove() {
		messageContext = null;
	}
	
	/** 
	 *　リポジトリ情報が更新されたことを受信した際に動作するメソッド<BR>
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	public void onMessage(javax.jms.Message message) {
		
		m_log.debug("Message Driven Bean got message " + message);
		
		if(message instanceof ObjectMessage) {
			ObjectMessage objectMessage = (ObjectMessage)message;
			SendQueue queue = null;
			
			try {
				Object obj = objectMessage.getObject();
				
				if(obj instanceof UpdateRepositoryInfo) {

					// 転送対象ログファイル管理Queueへ通知
					queue = new SendQueue(QueueConstant.QUEUE_NAME_FILE_MANAGE);
					queue.put((UpdateRepositoryInfo)obj, DeliveryMode.PERSISTENT);

				} else {
					m_log.debug("onMessage(): ObjectMessage is not an expected instance. " + obj.toString());
				}
				
			} catch(JMSException e) {
				m_log.error("onMessage():" + e.getMessage());
				
			} catch(EJBException e) {
				m_log.error("onMessage():" + e.getMessage());
				
			} catch(Exception e) {
				m_log.error("onMessage():" + e.getMessage());
				
			} finally {
				if (queue != null) {
					try {
						queue.terminate();
					} catch (JMSException e) {
						m_log.error("Terminate SendQueue Failed : " + e.getMessage());
					}
				}
			}
		}
	}
}