/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.sql.factory;

import javax.ejb.CreateException;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.clustercontrol.monitor.run.factory.AddMonitorStringValueType;
import com.clustercontrol.sql.ejb.session.MonitorSqlRunManagementHome;
import com.clustercontrol.sql.util.ControlSqlInfo;

/**
 * SQL監視 文字列監視設定を登録するファクトリークラス<BR>
 *
 * @version 2.1.0
 * @since 2.1.0
 */
public class AddMonitorSqlString extends AddMonitorStringValueType{
	
	protected static Log m_log = LogFactory.getLog( AddMonitorSqlString.class );
	
	/* (non-Javadoc)
	 * @see com.clustercontrol.monitor.run.factory.AddMonitor#addCheckInfo()
	 */
	@Override
	public boolean addCheckInfo() throws CreateException, NamingException{
		
		// SQL監視情報を追加
		ControlSqlInfo sql = new ControlSqlInfo(m_monitorInfo.getMonitorId(), m_monitorInfo.getMonitorTypeId());
		return sql.add(m_monitorInfo.getSqlCheckInfo());
	}

	/* (non-Javadoc)
	 * @see com.clustercontrol.monitor.run.factory.AddMonitor#getJndiName()
	 */
	@Override
	public String getJndiName() {
		return MonitorSqlRunManagementHome.JNDI_NAME;
	}
}
